/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file follow_track.hpp Template function for track followers */

#ifndef  FOLLOW_TRACK_TYPE_H
#define  FOLLOW_TRACK_TYPE_H

enum ErrorCode {
	EC_NONE,
	EC_OWNER,
	EC_RAIL_ROAD_TYPE,
	EC_90DEG,
	EC_NO_WAY,
	EC_RESERVED,
};

#endif /* FOLLOW_TRACK_TYPE_H */
