/*
 * This file is part of OpenTTD.
 * OpenTTD is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, version 2.
 * OpenTTD is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU General Public License for more details. You should have received a copy of the GNU General Public License along with OpenTTD. If not, see <http://www.gnu.org/licenses/>.
 */

/** @file ship_func.h Ship functions declarations. */



#ifndef SHIP_FUNC_H
#define SHIP_FUNC_H



#include "../vehicle_func.h"



void ShipStayOnTile (Ship *v);
void ShipOnNewTile  (Ship *v);
void ShipOnBridge   (Ship *v);
void ShipRotate     (Ship *v, GetNewVehiclePosResult gp, int action);



#endif /* SHIP_FUNC_H */
